Subject: bug#7517: 24.0.50; repeated crash under Mac OS X

From: Jan Djärv <[email-masked]>
Date: Fri, 31 Dec 2010 23:30:31 +0100

On Fri, Dec 31, 2010 at 6:56 PM, Stefan Monnier
<[email-masked]>  wrote:
>> Emacs should never use unibyte strings for buffer names.
>
> I don't think we make any effort to prevent this from happening.
>
> And I'm not completely sure that it would be worth the trouble either:
> I suspect that wherever a unibyte buffer-name would cause problem
> (mode-line, window title, younameit), some other unibyte string could
> appear from elsewhere just as well, so enforcing multibyte buffer-names
> wouldn't close the vulnerabilities.

If we don't at least ENCODE_UTF_8 should do the right thing.  Is the coding 
for these kind of strings known?  If not and we don't enforce encoding in 
basic interfaces, we must deal with all existing encodings?

	Jan D.